# How to Python in computational neuroscience, data mining, and more 
{:.no_toc}

* TOC
{:toc}

All the tutorials are tested with Python 3.11.x. Older version might have a problem with the new versions of type anotations. 

## Python: The Basics of the basics
* [Truth Value Testing](Truth_Value_Testing/README.md)

## Python: Data analysis

* [Numpy: Random numbers the non-legacy way](numpy_random/README.md)
* [Remove a common signal from your data](SVD_data_cleaning/README.md)

## Python: Questions of spectral nature

* [Numpy: rfft and spectral power](numpy_fft_1/README.md)
* [scipy.signal: Butterworth low, high and band-pass](scipy.signal_butterworth/README.md)
* [PyWavelets: Wavelet Transforms in Python](pywavelet/README.md)


## Python: Daily little helper
* [TQDM: Make your progress visible](TQDM/README.md)
* [glob: Finding files in a directory](glob/README.md)


## Matlab: Basics
* [Basic Structure of a Computer](matlab/1/README.md)
* [Representation of Numbers in the Computer](matlab/2/README.md)

Note: I will transfer [https://www.neurotec.uni-bremen.de/drupal/teaching](https://www.neurotec.uni-bremen.de/drupal/teaching) to this new place (and update it). 
